# Projekt CiS-Projekt 2021/22

Citation Network

## Usage
Input: Json-Datei json\_text.json in directory graph
```json
{
    "nodes": [
        {
            "name": <title: string>,
            "author": [<author1: string>, <author2: string>, ...],
            "year": <date: tring>,
            "journal": <journal: string>,
            "doi": <doi: string>,
            "group": <"input"/"height"/"depth">,
            "citations": <citation: int>
        }, ...
    ],
    "links": [
        {
            "source": <doi: string>,
            "target": <doi: string>
        }, ...
    ]
}
```

Starting a Python-HTTP Server:
```sh
   cd <path to file> &&python3 -m http.server <port>
```

Opening Server:
[http://0.0.0.0/:\<port\>](http://0.0.0.0/:<port>)

## Files in directory:

### index.html
webpage

### cn.js
javascript code for force-directed graph, text elements and legend

### json_with_citations.json
example data

## Authors
- Katja Ehlers
- Merle Stahl